# EnthalpyOfVaporization

class `propertyestimator.properties.``EnthalpyOfVaporization`(thermodynamic_state=None, phase=, substance=None, value=None, uncertainty=None, gradients=None, source=None)

  A class representation of an enthalpy of vaporization property

  `__init__`(thermodynamic_state=None, phase=, substance=None, value=None, uncertainty=None, gradients=None, source=None)

    Constructs a new PhysicalProperty object.

    Parameters

      - thermodynamic_state (ThermodynamicState) – The thermodynamic state that the property was measured in.

      - phase (PropertyPhase) – The phase that the property was measured in.

      - substance (Substance) – The composition of the substance that was measured.

      - value (unit.Quantity) – The value of the measured physical property.

      - uncertainty (unit.Quantity) – The uncertainty in the measured value.

      - source (Source) – The source of this property.

  Methods

  `__init__`([thermodynamic_state, phase, …]) | Constructs a new PhysicalProperty object.
  `get_default_reweighting_workflow_schema`(options) | Returns the default workflow to use when estimating this property by reweighting existing data.
  `get_default_simulation_workflow_schema`([options]) | Returns the default workflow to use when estimating this property from direct simulations.
  `get_default_workflow_schema`(calculation_layer) | Returns the default workflow schema to use for a specific calculation layer.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.
  `set_value`(value, uncertainty) | Set the value and uncertainty of this property.

  Attributes

  `metadata` | Additional metadata associated with this property, such as file paths to coordinate files or …
  `multi_component_property` | Returns whether this property is dependant on properties of the full mixed substance, or whether it is also dependant on the properties of the individual components also.
  `pressure` | The pressure at which the property was collected.
  `required_data_class` |
  `temperature` | The temperature at which the property was collected.

  property `multi_component_property`

    Returns whether this property is dependant on properties of the full mixed substance, or whether it is also dependant on the properties of the individual components also.

  static `get_default_workflow_schema`(calculation_layer, options=None)

    Returns the default workflow schema to use for a specific calculation layer.

    Parameters

      - calculation_layer (str) – The calculation layer which will attempt to execute the workflow defined by this schema.

      - options (WorkflowOptions) – The options to use when setting up the default workflows.

    Returns

      The default workflow schema.

    Return type

      WorkflowSchema

  static `get_default_simulation_workflow_schema`(options=None)

    Returns the default workflow to use when estimating this property from direct simulations.

    Parameters

      options (WorkflowOptions) – The default options to use when setting up the estimation workflow.

    Returns

      The schema to follow when estimating this property.

    Return type

      WorkflowSchema

  static `get_default_reweighting_workflow_schema`(options)

    Returns the default workflow to use when estimating this property by reweighting existing data.

    Parameters

      options (WorkflowOptions) – The default options to use when setting up the estimation workflow.

    Returns

      The schema to follow when estimating this property.

    Return type

      WorkflowSchema

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  property `metadata`

    Additional metadata associated with this property, such as file paths to coordinate files or …

    All property metadata will be made accessible to property estimation workflows.

    Type

      dict of str and Any

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any

  property `pressure`

    The pressure at which the property was collected.

    Type

      propertyestimator.unit.Quantity or None

  `set_value`(value, uncertainty)

    Set the value and uncertainty of this property.

    Parameters

      - value (propertyestimator.unit.Quantity) – The value of the property.

      - uncertainty (propertyestimator.unit.Quantity) – The uncertainty in the properties value.

  property `temperature`

    The temperature at which the property was collected.

    Type

      propertyestimator.unit.Quantity or None